com.google.gwt.i18n.client.constants

## Interface DateTimeConstants

- All Known Subinterfaces:
    DateTimeConstantsImpl
  All Known Implementing Classes:
    DateTimeConstantsAdapter

  Deprecated.
  use DateTimeFormatInfo instead

      @Deprecated
      public interface DateTimeConstants

  DateTimeConstants class encapsulate a collection of DateTime formatting symbols for use with DateTime format and parse services. This class extends GWT's Constants class. The actual symbol collections are defined in a set of property files named like "DateTimeConstants_xx.properties". GWT will will perform late binding to the property file that specific to user's locale. If you previously were using GWT.create on this interface, you should use LocaleInfo.getDateTimeConstants() instead.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `ampms()` Deprecated.
    `java.lang.String[]` | `dateFormats()` Deprecated.
    `java.lang.String[]` | `eraNames()` Deprecated.
    `java.lang.String[]` | `eras()` Deprecated.
    `java.lang.String` | `firstDayOfTheWeek()` Deprecated.
    `java.lang.String[]` | `months()` Deprecated.
    `java.lang.String[]` | `narrowMonths()` Deprecated.
    `java.lang.String[]` | `narrowWeekdays()` Deprecated.
    `java.lang.String[]` | `quarters()` Deprecated.
    `java.lang.String[]` | `shortMonths()` Deprecated.
    `java.lang.String[]` | `shortQuarters()` Deprecated.
    `java.lang.String[]` | `shortWeekdays()` Deprecated.
    `java.lang.String[]` | `standaloneMonths()` Deprecated.
    `java.lang.String[]` | `standaloneNarrowMonths()` Deprecated.
    `java.lang.String[]` | `standaloneNarrowWeekdays()` Deprecated.
    `java.lang.String[]` | `standaloneShortMonths()` Deprecated.
    `java.lang.String[]` | `standaloneShortWeekdays()` Deprecated.
    `java.lang.String[]` | `standaloneWeekdays()` Deprecated.
    `java.lang.String[]` | `timeFormats()` Deprecated.
    `java.lang.String[]` | `weekdays()` Deprecated.
    `java.lang.String[]` | `weekendRange()` Deprecated.

- - ### Method Detail

    - #### ampms

          java.lang.String[] ampms()

      Deprecated.

    - #### dateFormats

          java.lang.String[] dateFormats()

      Deprecated.

    - #### eraNames

          java.lang.String[] eraNames()

      Deprecated.

    - #### eras

          java.lang.String[] eras()

      Deprecated.

    - #### firstDayOfTheWeek

          java.lang.String firstDayOfTheWeek()

      Deprecated.

    - #### months

          java.lang.String[] months()

      Deprecated.

    - #### narrowMonths

          java.lang.String[] narrowMonths()

      Deprecated.

    - #### narrowWeekdays

          java.lang.String[] narrowWeekdays()

      Deprecated.

    - #### quarters

          java.lang.String[] quarters()

      Deprecated.

    - #### shortMonths

          java.lang.String[] shortMonths()

      Deprecated.

    - #### shortQuarters

          java.lang.String[] shortQuarters()

      Deprecated.

    - #### shortWeekdays

          java.lang.String[] shortWeekdays()

      Deprecated.

    - #### standaloneMonths

          java.lang.String[] standaloneMonths()

      Deprecated.

    - #### standaloneNarrowMonths

          java.lang.String[] standaloneNarrowMonths()

      Deprecated.

    - #### standaloneNarrowWeekdays

          java.lang.String[] standaloneNarrowWeekdays()

      Deprecated.

    - #### standaloneShortMonths

          java.lang.String[] standaloneShortMonths()

      Deprecated.

    - #### standaloneShortWeekdays

          java.lang.String[] standaloneShortWeekdays()

      Deprecated.

    - #### standaloneWeekdays

          java.lang.String[] standaloneWeekdays()

      Deprecated.

    - #### timeFormats

          java.lang.String[] timeFormats()

      Deprecated.

    - #### weekdays

          java.lang.String[] weekdays()

      Deprecated.

    - #### weekendRange

          java.lang.String[] weekendRange()

      Deprecated.